Get ProteinFormat by ID
Get a single ProteinFormat by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
protein_format_id
ID of the ProteinFormat.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
builtIn
Whether this is an out-of-the-box Benchling-provided format. These formats come pre-loaded and cannot be modified or deleted by users.
chainPositions
Format chain positions include all physical instances of each chain in a protein of this format.
chains
The chains of protein entities of this format. Each chain can have multiple chain sites, representing
multiple physical instances of the same chain.
createdAt
When the protein format was created.
domainPositions
Format domain positions include all physical instances of each domain in a protein of this
format.
domains
The domains of protein entities of this format. Each domain can have multiple domain sites, representing
multiple physical instances of the same domain.
id
API identifier of the protein format. Custom formats use the abfmt_ prefix; built-in formats use
builtinabfmt_.
modifiedAt
When the protein format was last modified.
name
The display name of the protein format.
originalVeritas
The VERITAS string used to create the format.
variablePairs
Variable domain pairs defined on this format (e.g., VH/VL for antibodies). Each pair identifies two variable domains that together form an antigen-binding site.
Errors
400
Protein Format Get Request Bad Request Error
403
Protein Format Get Request Forbidden Error
404
Protein Format Get Request Not Found Error
429
Protein Format Get Request Too Many Requests Error
500
Protein Format Get Request Internal Server Error